List recipients
curl --request GET \
--url https://platform.swipelux.com/v3/customers/{customerId}/recipients \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.swipelux.com/v3/customers/{customerId}/recipients"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.swipelux.com/v3/customers/{customerId}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "rcp_6dV8xN2pQ4rT7mA9sL1k",
"customerId": "cus_uPlL04SqhMf8QYHcJV",
"status": "active",
"type": "individual",
"relationship": "contractor",
"firstName": "Jason",
"lastName": "Swipelux",
"email": "jason@swipelux.com",
"phone": "+14155551234",
"address": {
"streetLine1": "1 Market Street",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"label": "Jason contractor",
"createdAt": "2026-06-25T12:00:00.000Z",
"updatedAt": "2026-06-25T12:00:00.000Z",
"archivedAt": null
},
{
"id": "rcp_9zK4pQ8rT2mA7sL1dV6x",
"customerId": "cus_uPlL04SqhMf8QYHcJV",
"status": "active",
"type": "business",
"relationship": "vendor",
"companyName": "Northwind Supplies LLC",
"businessIndustry": "541511",
"email": "finance@northwind.example",
"address": {
"streetLine1": "500 Market Street",
"city": "San Francisco",
"state": "CA",
"postalCode": "94105",
"country": "US"
},
"label": "Northwind vendor",
"createdAt": "2026-06-25T12:00:00.000Z",
"updatedAt": "2026-06-25T12:00:00.000Z",
"archivedAt": null
}
],
"nextCursor": null,
"hasMore": false
}{
"type": "https://docs.swipelux.com/errors/unknown-parameter",
"title": "<string>",
"status": 400,
"code": "unknown_parameter",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/not-found",
"title": "<string>",
"status": 404,
"code": "not_found",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}recipients
List recipients
Lists recipients for a customer.
List recipients
Authorizations
Path Parameters
Query Parameters
Opaque cursor returned as nextCursor from the previous page.
Maximum number of records to return. Defaults to 25.
Required range:
1 <= x <= 100Exact merchant-supplied recipient correlation reference.
Return only records updated at or after this RFC 3339 timestamp. Use it to recover from missed webhooks by replaying a window of changes.
⌘I